# $Revision: 1.11 $, $Date: 2008/07/27 22:50:57 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Cipher
Summary:	Crypt::Cipher - very flexible base class for text ciphers
Summary(pl.UTF-8):	Crypt::Cipher - bardzo elastyczna klasa bazowa dla szyfrów tekstowych
Name:		perl-Crypt-Cipher
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0d4467342f81a0adb1f53cabb9cd473b
%{?with_tests:BuildRequires:	perl-Regexp-Tr >= 0.04}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Regexp-Tr >= 0.04
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Cipher provides a standard interface and simple methods for
ciphers of various kinds, saving on development time and redundant
code.

%description -l pl.UTF-8
Moduł Crypt::Cipher dostarcza standardowy interfejs i proste metody dla
szyfrów różnego rodzaju, pozwalając zaoszczędzić na czasie
programowania i powielonym kodzie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Crypt/Cipher.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Cipher.spec,v $
Revision 1.11  2008/07/27 22:50:57  arekm
- release 2

Revision 1.10  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:12  paladine
- formatting

Revision 1.7  2004/10/24 14:09:47  paladine
- spelling fix

Revision 1.6  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/20 23:07:06  ankry
- new bcond fixes

Revision 1.4  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.3  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.2  2003/09/15 08:17:41  adamg
- updated to 0.03

Revision 1.1  2003/06/18 21:54:27  qboosh
- new

